/******************************************************************************
 * 
 * Filename: config.h
 *
 * Author:   Robert Thornburrow
 * Project:  Cycle
 * Created:  11th June 2003
 *
 * Purpose:  Machine dependant macros.
 *
 * (c) Copyright R.H.Thornburrow, 2003
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

#ifndef __config_h

#define __config_h

/******************************************************************************
 * User Alterable Definitions
 * YOU MAY CHANGE ANYTHING IN THIS SECTION
 *****************************************************************************/

#define CRTMEMCHECK 0

/******************************************************************************
 * DO NOT CHANGE ANYTHING AFTER THIS LINE
 *****************************************************************************/

/******************************************************************************
 * Global Properties
 *****************************************************************************/

#define CYCLE_VERSION "0.0.1"

#ifdef _DEBUG
#define CYCLE_RELEASE "DBG"
#else
#define CYCLE_RELEASE "REL"
#endif

#define PROGNAME  "cycle"
#define VERSION   "Cycle compiler  v" CYCLE_VERSION " " CYCLE_PLATFORM " " CYCLE_RELEASE
#define COPYRIGHT "(C) Taurus Software, 2003"


/******************************************************************************
 * WIN32 Platform (Windows 95/98/NT4)
 */
#ifdef WIN32

#define CYCLE_PLATFORM "WIN32"

#define BIG_ENDIAN 1
#define SMALL_INTS 1
#define FILE_PTR FILE*
#define HAS_ISATTY 1

#endif /* WIN32 */

/******************************************************************************
 * Cygwin32 Platform (Unix under Windows 95/98/NT4)
 */
#ifdef __GNUC__

#define CYCLE_PLATFORM "CYGWIN32"

#define BIG_ENDIAN 1
#define SMALL_INTS 1
#define FILE_PTR FILE*
#define HAS_ISATTY 1

#endif /* __GNUC__ */

/*****************************************************************************/

#ifndef CYCLE_PLATFORM
#error "Unable to build for this platform"
#endif /* _PLATFORM */

/*****************************************************************************/

#endif /* __config_h */
